Bug 45576 - JAASRealm not working with DigestAuthenticator
JAASRealm not working with DigestAuthenticator
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.26
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-08-06 02:12 UTC by wasp
Modified: 2009-03-22 08:36 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wasp 2008-08-06 02:12:34 UTC
JAASRealm cannot be used with DigestAuthenticator.

JAASRealm only overrides authenticate(String, String), whereas DigestAuthenticator calls authenticate(String, String, String, String, String, String, String, String).

This is similar to bug 41407, where CLIENT-CERT authentication is used.
Comment 1 Mark Thomas 2008-08-09 07:36:45 UTC
This has been fixed in trunk and proposed for 5.5.x and 6.0.x
Comment 2 Mark Thomas 2008-08-13 15:50:59 UTC
This has been fixed in 6.0.x and will be included in 6.0.19 onwards.
Comment 3 Mark Thomas 2009-03-22 08:36:05 UTC
This has been fixed in 5.5.x and will be included in 5.5.28 onwards.